diff -urpN --exclude-from=/home/davej/.exclude bk-linus/arch/i386/kernel/io_apic.c linux-2.5/arch/i386/kernel/io_apic.c
--- bk-linus/arch/i386/kernel/io_apic.c	2002-11-21 02:09:29.000000000 +0000
+++ linux-2.5/arch/i386/kernel/io_apic.c	2002-11-21 17:55:01.000000000 +0000
@@ -289,13 +289,21 @@ int pirq_entries [MAX_PIRQS];
 int pirqs_enabled;
 int skip_ioapic_setup;
 
-static int __init ioapic_setup(char *str)
+static int __init noioapic_setup(char *str)
 {
 	skip_ioapic_setup = 1;
 	return 1;
 }
 
-__setup("noapic", ioapic_setup);
+__setup("noapic", noioapic_setup);
+
+static int __init ioapic_setup(char *str)
+{
+	skip_ioapic_setup = 0;
+	return 1;
+}
+
+__setup("apic", ioapic_setup);
 
 static int __init ioapic_pirq_setup(char *str)
 {
